Ontology

List ontology relations for a file

GET
/api/v1/files/{file_id}/ontology

Authorization

bearerAuth
AuthorizationBearer <token>

Console session token (Authorization: Bearer <session>) or product API key (Authorization: Bearer <api-key> or x-api-key). Session tokens are validated via Better Auth get-session; API keys against the shared database.

In: header

Path Parameters

file_id*File Id
Range1 <= value

Query Parameters

depth?Depth
Range1 <= value <= 3
Default1

Header Parameters

authorization?string|null
x-api-key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/files/1/ontology"
{  "document_id": 0,  "relations": [    {      "relation_type": {        "property1": "string",        "property2": "string"      },      "target_concept": {},      "depth": 0    }  ]}